package com.emr.dao;

import com.emr.entity.Archive_Master_Following;

import java.util.HashMap;
import java.util.List;

public interface Archive_Master_FollowingMapper {
    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int deleteByPrimaryKey(String id);

    /**
     * 插入记录
     * @param record
     * @return
     */
    int insert(Archive_Master_Following record);

    /**
     * 根据可选字段插入记录
     * @param record
     * @return
     */
    int insertSelective(Archive_Master_Following record);

    /**
     * 根据主键查询记录
     * @param id
     * @return
     */
    Archive_Master_Following selectByPrimaryKey(String id);

    /**
     * 根据id和相关的可选字段查询记录
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(Archive_Master_Following record);

    /**
     * 根据id修改记录
     * @param record
     * @return
     */
    int updateByPrimaryKey(Archive_Master_Following record);

    /**
     * 根据following_type in (1,2,3,4,5,6,7)和master_id查询记录
     * @param param
     * @return
     */
    List<Archive_Master_Following> selectByMasterId(HashMap<String, Object> param);
}